Project Resources

Project Resources

GET /api/v1/projects/{id}/resources

Get Project Resources

getProjectResources returns all resources in a project as a flat list

Parameters

NameInTypeRequired
idpathstringtrue

Response

Type: []ProjectResource

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/projects/{id}/resources

POST /api/v1/projects/{id}/resources

Create assign Resource To Project

assignResourceToProject assigns a model/dataset/workflow to a project

Parameters

NameInTypeRequired
idpathstringtrue

Request Body

Type: struct{}

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/projects/{id}/resources

DELETE /api/v1/projects/{id}/resources/{type}/{resourceId}

Delete remove Resource From Project

removeResourceFromProject removes a model/dataset/workflow from a project

Parameters

NameInTypeRequired
idpathstringtrue
typepathstringtrue
resourceIdpathstringtrue

Example

curl -X DELETE \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/projects/{id}/resources/{type}/{resourceId}